Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82578 - RFE: Divert Sockets
Summary: RFE: Divert Sockets
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL: http://sourceforge.net/projects/ipdiv...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-23 16:34 UTC by Tom "spot" Callaway
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-28 18:47:49 UTC


Attachments (Terms of Use)

Description Tom "spot" Callaway 2003-01-23 16:34:57 UTC
Please consider the future inclusion of Divert Sockets to the iptables package
(and to ipchains, and kernel). Divert sockets look fairly cool.

http://sourceforge.net/projects/ipdivert/
http://www.anr.mcnc.org/~divert/index.shtml

Comment 1 Bill Nottingham 2003-01-24 01:51:15 UTC
This would need to be in the kernel first before we'd ship it in iptables.

Comment 2 Tom "spot" Callaway 2004-09-28 18:47:49 UTC
Well, the divert sockets code went nowhere fast. The homepage is a
404, the sourceforge site hasn't seen any updates since 2003, there is
no 2.6 version.

Thankfully, it looks like Netlink Sockets will provide equivalent
functionality. Closing this one as WONTFIX.


Note You need to log in before you can comment on or make changes to this bug.